Page MenuHomePhabricator

Requesting access to analytics-privatedata-users for Bryan Davis
Closed, ResolvedPublic

Description

Shell username: bd808
Full name: Bryan Davis

I would like access to stat1002 via membership in the analytics-privatedata-users group so I can participate in creating and managing a pipeline of Action API request data that flows from MediaWiki to Hive via Kafka in support of T108618: Publish detailed Action API request information to Hadoop and it's parent task T102079: Metrics about the use of the Wikimedia web APIs.

I currently have shell and deployer access to the WMF production cluster and public ssh keys in operations/puppet.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

bd808 created this task.Oct 15 2015, 12:24 AM
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added a project: SRE-Access-Requests.
bd808 added subscribers: bd808, Tnegrin.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptOct 15 2015, 12:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 16 2015, 7:05 PM
Dzahn claimed this task.Oct 19 2015, 4:26 PM

Change 247295 had a related patch set uploaded (by Dzahn):
admin: add bd808 to analytics-privatedata-users

https://gerrit.wikimedia.org/r/247295

Dzahn added a comment.Oct 19 2015, 8:30 PM

Alright, so this has approval and this doesn't have to be in ops meeting. Per the waiting period rule it can be merged later today or early tomorrow.

Dzahn triaged this task as Medium priority.Oct 19 2015, 8:31 PM

Change 247295 merged by Dzahn:
admin: add bd808 to analytics-privatedata-users

https://gerrit.wikimedia.org/r/247295

Dzahn added a comment.Oct 20 2015, 2:05 PM

on stat1002:

Notice: /Stage[main]/Admin/Admin::Hashuser[bd808]/Admin::User[bd808]/User[bd808]/ensure: created
..

Dzahn closed this task as Resolved.Oct 20 2015, 2:05 PM

[stat1002:~] $ id bd808
uid=3518(bd808) gid=500(wikidev) groups=500(wikidev),731(analytics-privatedata-users)